/* =========================================================
   CONTACT HERO SECTION
========================================================= */

.contact-hero{
    width:100%;
    min-height:90vh;

    background:#000;

    position:relative;
    overflow:hidden;
    text-align: center;

    padding:180px 8% 70px;
}

/* OVERLAY */
.contact-overlay{
    position:absolute;
    inset:0;

    background:
    radial-gradient(
        circle at top right,
        rgba(176,40,214,0.12),
        transparent 45%
    );

    z-index:0;
}

/* CONTAINER */
.contact-hero-container{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:70px;

    align-items:center;

    position:relative;
    z-index:2;
}

/* MINI TITLE */
.contact-mini-title{
    color:#c026d3;

    letter-spacing:4.5px;

    font-size:18px;
    font-weight:600;

    margin-bottom:25px;
}

/* TITLE */
.contact-hero-content h1{
    color:#fff;

    font-size:80px;
    line-height:1.1;
    font-weight:600;

    margin-bottom:25px;
}

/* GRADIENT */
.contact-hero-content h1 span{
    background:
    linear-gradient(
        90deg,
        #d946ef,
        #4f46e5
    );

    background-clip:text;
    -webkit-background-clip:text;

    color:transparent;
    -webkit-text-fill-color:transparent;
}

/* DESCRIPTION */
.contact-description{

    color:#d4d4d8;

    font-size:15px;
    line-height:1.8;
}

/* IMAGE */
.contact-hero-image img{
    width:100%;
    object-fit:contain;
}

/* =========================================================
   CONTACT SECTION
========================================================= */

.contact-section{
    width:100%;
    padding:50px 8% 70px;
    background:#000;
    position: relative;
}

.contact-section::before{
    content:'';
    position:absolute;
    top:0px;
    left:3%;
    width:94%;
    height:1px;
    background:linear-gradient(to right, #B028D6, #3D46D4, #B028D6);
}

/* CONTAINER */
.contact-container{
    display:grid;
    grid-template-columns:1.5fr 0.9fr;
    gap:35px;
}

/* =========================================================
   BOX
========================================================= */

.contact-form-box,
.contact-info-box{
    background:
    linear-gradient(
        180deg,
        rgba(20,0,40,0.95),
        rgba(10,0,20,0.95)
    );

    border:1px solid #7e22ce;

    border-radius:18px;

    padding:30px;

    box-shadow:
    0 0 20px rgba(176,40,214,0.12);
}

/* =========================================================
   TITLE
========================================================= */

.contact-box-title{
    display:flex;
    align-items:flex-start;
    gap:15px;

    margin-bottom:28px;
}

/* ICON */
.contact-icon{
    width:50px;
    height: 50px;

    border-radius:50%;

    border:1px solid #9333ea;

    display:flex;
    align-items:center;
    justify-content:center;

    color:#c026d3;

    font-size:18px;
}

/* TITLE */
.contact-box-title h2{
    color:#fff;

    font-size:26px;
    margin-bottom:6px;
}

/* TEXT */
.contact-box-title p{
    color:#a1a1aa;

    font-size:13px;
    line-height:1.7;
}

/* =========================================================
   INPUT GRID
========================================================= */

.input-grid{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:18px;
}

/* INPUT BOX */
.input-box{
    position:relative;
}

/* ICON */
.input-box i{
    position:absolute;

    top:50%;
    left:16px;

    transform:translateY(-50%);

    color:#9333ea;

    font-size:14px;
}

/* INPUT */
.input-box input{
    width:100%;
    height:50px;

    background:#12001f;

    border:1px solid rgba(176,40,214,0.15);

    border-radius:10px;

    padding:0 18px 0 45px;

    color:#fff;

    outline:none;

    font-size:14px;
}

/* TEXTAREA */
.textarea-box{
    position:relative;
    margin-top:18px;
}

/* ICON */
.textarea-box i{
    position:absolute;

    top:20px;
    left:16px;

    color:#9333ea;
}

/* TEXTAREA */
.textarea-box textarea{
    width:100%;
    height:170px;

    resize:none;

    background:#12001f;

    border:1px solid rgba(176,40,214,0.15);

    border-radius:10px;

    padding:18px 18px 18px 45px;

    color:#fff;

    outline:none;

    font-size:14px;
}

/* =========================================================
   BUTTON
========================================================= */

.contact-btn{
    width:190px;
    height:46px;

    border:none;
    border-radius:12px;

    margin-top:22px;

    background:
    linear-gradient(
        90deg,
        #B028D6,
        #3D46D4
    );

    color:#fff;

    font-size:14px;
    font-weight:500;

    cursor:pointer;

    display:flex;
    align-items:center;
    justify-content:center;
    gap:10px;

    transition:0.4s ease;
}

/* HOVER */
.contact-btn:hover{

    transform:
    translateY(-5px);

    box-shadow:
    0 0 20px rgba(176,40,214,0.35);
}

/* =========================================================
   INFO ITEM
========================================================= */

.info-item{
    display:flex;
    gap:18px;

    padding:18px 0;

    border-bottom:
    1px solid rgba(176,40,214,0.12);
}

/* REMOVE LAST */
.info-item:last-child{
    border:none;
}

/* ICON */
.info-icon{
    width:45px;
    height:45px;

    border-radius:50%;

    border:1px solid #9333ea;

    display:flex;
    align-items:center;
    justify-content:center;

    color:#c026d3;

    font-size:17px;

    flex-shrink:0;
}

/* TITLE */
.info-item h3{
    color:#fff;

    font-size:15px;

    margin-bottom:5px;
}

/* TEXT */
.info-item span{
    display:block;

    color:#a1a1aa;

    font-size:13px;
    line-height:1.7;
}


/* =========================================================
   FORM MESSAGE
========================================================= */

.form-message{
    width:100%;


    margin-top:10px;

    font-size:14px;
    font-weight:500;

    animation:fadeMessage 0.4s ease;
}

/* SUCCESS */
.success-message{
    color:#4ade80;
}

/* ERROR */
.error-message{
    color:#f87171;
}

/* ANIMATION */
@keyframes fadeMessage{

    0%{
        opacity:0;
        transform:translateY(-10px);
    }

    100%{
        opacity:1;
        transform:translateY(0);
    }

}



/* ===================================
   CONTACT HERO - TABLET
=================================== */
@media (max-width:1024px){

    .contact-hero{
        padding:160px 5% 70px;
        min-height:75vh;
    }

    .contact-mini-title{
        font-size:16px;
        letter-spacing:3px;
    }

    .contact-hero-content{
        padding-top: 180px;
    }

    .contact-hero-content h1{
        font-size:60px;
    }

    .contact-description{
        font-size:15px;
    }

    .contact-section{
        padding:60px 5%;
    }

    .contact-container{
        grid-template-columns:1.2fr 0.8fr;
        gap:25px;
    }

    .contact-form-box,
    .contact-info-box{
        padding:25px;
    }

    .contact-box-title h2{
        font-size:22px;
    }

}


/* ===================================
   CONTACT HERO - MOBILE
=================================== */
@media (max-width:768px){

    .contact-hero{
        padding:140px 6% 60px;
        min-height:auto;
    }

    .contact-mini-title{
        font-size:14px;
        letter-spacing:2px;
        margin-bottom:18px;
    }

    .contact-hero-content {
        padding-top: 0px;
    }

    .contact-hero-content h1{
        font-size:42px;
        line-height:1.2;
        margin-bottom:18px;
    }

    .contact-description{
        font-size:14px;
        line-height:1.8;
    }

    .contact-description br,
    .contact-hero-content h1 br{
        display:none;
    }

    .contact-section{
        padding:55px 6%;
    }

    .contact-container{
        grid-template-columns:1fr;
        gap:25px;
    }

    .contact-form-box,
    .contact-info-box{
        padding:22px;
    }

    .contact-box-title{
        gap:12px;
    }

    .contact-icon{
        width:45px;
        height:45px;
        font-size:16px;
    }

    .contact-box-title h2{
        font-size:22px;
    }

    .input-grid{
        grid-template-columns:1fr;
        gap:15px;
    }

    .contact-btn{
        width:100%;
    }

}

/* ===================================
   CONTACT HERO - SMALL MOBILE
=================================== */
@media (max-width:480px){

    .contact-hero{
        padding:120px 20px 50px;
    }

    .contact-mini-title{
        font-size:12px;
        letter-spacing:1.5px;
    }

    .contact-hero-content h1{
        font-size:32px;
        line-height:1.3;
    }

    .contact-description{
        font-size:13px;
        line-height:1.8;
    }

    .contact-section{
        padding:50px 20px;
    }

    .contact-form-box,
    .contact-info-box{
        padding:18px;
        border-radius:14px;
    }

    .contact-box-title{
        flex-direction:column;
        text-align:center;
        align-items:center;
    }

    .contact-box-title h2{
        font-size:20px;
    }

    .contact-box-title p{
        font-size:12px;
    }

    .input-box input{
        height:46px;
        font-size:13px;
    }

    .textarea-box textarea{
        height:140px;
        font-size:13px;
    }

    .contact-btn{
        height:44px;
        font-size:13px;
    }

    .info-item{
        gap:12px;
        padding:15px 0;
    }

    .info-icon{
        width:40px;
        height:40px;
        font-size:15px;
    }

    .info-item h3{
        font-size:14px;
    }

    .info-item span{
        font-size:12px;
    }

}